Bug 1381945 - home and end not working anymore with tcsh
Summary: home and end not working anymore with tcsh
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: screen
Version: 24
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Josef Ridky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-05 12:04 UTC by Phil
Modified: 2016-11-19 21:08 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-11-07 23:25:58 UTC


Attachments (Terms of Use)

Description Phil 2016-10-05 12:04:38 UTC
Description of problem:
Since screen 4.4.0 the home and end keys no longer work in screen when using tcsh as shell.

Version-Release number of selected component (if applicable):
4.4.0

How reproducible:
always


Steps to Reproduce:
1. start screen:
$ screen

2. start tcsh
$ tcsh

3. make sure home and end are bound:
$ bindkey | egrep '^(home|end)'
home           -> beginning-of-line
end            -> end-of-line

4. press home or end


Actual results:
nothing happens pressing "home" while "end" prints a "~".


Expected results:
cursor jumps to the beginning or end of the line.


Additional info:
home and end work fine with 3.4.1-4.fc24.
No problems with other arrow keys like left/up/right/down or when using bash.

Comment 1 Josef Ridky 2016-10-05 13:29:42 UTC
This issue has caused in one of last update of screen. 
In version 4.4.0-1 all works fine. I will look at this as soon as possible.

Comment 2 Fedora Update System 2016-11-02 10:58:33 UTC
screen-4.4.0-4.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3e989e7ad7

Comment 3 Fedora Update System 2016-11-02 10:58:44 UTC
screen-4.4.0-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0a4db22b9d

Comment 4 Fedora Update System 2016-11-02 10:58:49 UTC
screen-4.4.0-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0bf724f8ea

Comment 5 Fedora Update System 2016-11-02 16:55:10 UTC
screen-4.4.0-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0a4db22b9d

Comment 6 Fedora Update System 2016-11-05 03:32:27 UTC
screen-4.4.0-4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3e989e7ad7

Comment 7 Fedora Update System 2016-11-05 03:54:14 UTC
screen-4.4.0-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0bf724f8ea

Comment 8 Fedora Update System 2016-11-06 01:52:12 UTC
screen-4.4.0-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0bf724f8ea

Comment 9 Fedora Update System 2016-11-07 23:25:58 UTC
screen-4.4.0-4.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-11-19 21:08:31 UTC
screen-4.4.0-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.